I am making a ai in python but there is a error

0 votes
this is my error when i executed

import pyttsx3

engine = pyttsx3.init('sapi5')

voices = engine.getProperty('voices')

print(voices)

 

def speak(audio):

    pass

C:\Users\rhydham90>python c:/Users/rhydham90/Desktop/EDITH/rhydham.py
Traceback (most recent call last):
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\site-packages\pyttsx3\__init__.py",
line 20, in init
    eng = _activeEngines[driverName]
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\weakref.py", line 137, in __getitem__
    o = self.data[key]()
KeyError: 'sapi5'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\site-packages\pyttsx3\drivers\sapi5.py", line 3, in <module>
    from comtypes.gen import SpeechLib  # comtypes
ImportError: cannot import name 'SpeechLib'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:/Users/rhydham90/Desktop/EDITH/rhydham.py", line 3, in <module>
    engine = pyttsx3.init('sapi5')
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\site-packages\pyttsx3\__init__.py",
line 22, in init
    eng = Engine(driverName, debug)
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\site-packages\pyttsx3\engine.py", line 30, in __init__
    self.proxy = driver.DriverProxy(weakref.proxy(self), driverName, debug)
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\site-packages\pyttsx3\driver.py", line 50, in __init__
    self._module = importlib.import_module(name)
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\site-packages\pyttsx3\drivers\sapi5.py", line 6, in <module>
    engine = comtypes.client.CreateObject("SAPI.SpVoice")
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\site-packages\comtypes\client\__init__.py", line 227, in CreateObject
    clsid = comtypes.GUID.from_progid(progid)
  File "C:\Users\rhydham90\AppData\Local\Programs\Python\Python36-32\lib\site-packages\comtypes\GUID.py", line 78, in from_progid
    _CLSIDFromProgID(str(progid), byref(inst))
  File "_ctypes/callproc.c", line 918, in GetResult
OSError: [WinError -2147221005] Invalid class string
Oct 10 in Python by rhydham
• 120 points
122 views

1 answer to this question.

0 votes

Hi, @Rhydham,

Try this:
engine = pyttsx3.init('dummy')
answered Oct 12 by Gitika
• 50,340 points
It works for me. thank you, bro. u are savior

Related Questions In Python

0 votes
1 answer

Why am I getting a error when I am printing two different data types in python?

different data type is being used. that ...READ MORE

answered Mar 6, 2019 in Python by Mohammad
• 3,210 points
125 views
0 votes
1 answer

i am normalizing the data set iris in python and get the error ::TypeError: 'numpy.float64' object is not callable

TRY THIS   #Nomalisation for i in names:     print(i)   ...READ MORE

answered Aug 19, 2019 in Python by Noel Deepak Palle
3,574 views
0 votes
1 answer

Is there a label/goto in Python?

No, Python does not support labels and ...READ MORE

answered Aug 1, 2018 in Python by Priyaj
• 57,700 points
231 views
0 votes
1 answer

Is there a foreach function in python and is there a way to implement it if there isnt any

Every occurence of "foreach" I've seen (PHP, ...READ MORE

answered Aug 31, 2018 in Python by charlie_brown
• 7,780 points
218 views
0 votes
1 answer

Is there a string 'contains' in python?

In this case, you can use the ...READ MORE

answered Sep 25, 2018 in Python by SDeb
• 13,250 points
148 views
0 votes
1 answer

Is there a stack/heap in Python?

Memory management in Python involves a private ...READ MORE

answered Nov 9, 2018 in Python by SDeb
• 13,250 points
831 views
0 votes
1 answer

How do I use urllib to see if a website is 404 or 200 in Python?

For Python 3, try doing this: import urllib.request, ...READ MORE

answered Nov 29, 2018 in Python by Nymeria
• 3,520 points

edited Dec 11, 2018 by Nymeria 6,544 views
0 votes
1 answer

I am unable to import pyttsx2 in python. Python is throwing exception ModuleNotFoundError.

Hey, @Athrava Gulve, Hey, @Atharva, Which version of Python your ...READ MORE

answered Oct 7 in Python by Gitika
• 50,340 points
72 views